List listing attributes
GET
/listings/attributes
const url = 'https://acme.mykreezalid.com/api/partners/v1/listings/attributes';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/partners/v1/listings/attributes \ --header 'Authorization: Basic <credentials>'Lists every custom attribute the marketplace defines for listings, with the options of multiple-choice attributes. Send attribute values under the attribute’s alias when you create or update a listing. The list is not paginated.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The marketplace’s listing attributes.
Media typeapplication/json
object
attributes
Array<object>
object
id
integer
alias
Key to send the attribute’s value under.
string
title
string
description
string
input_type
How the value is entered, e.g. select or checkbox (multiple-choice, see options), boolean, textarea.
string
value_type
string
required
boolean
options
Choices of a multiple-choice attribute (empty otherwise).
Array<object>
object
id
integer
alias
string
title
string
attribute_id
integer
Example
{ "attributes": [ { "id": 31, "alias": "color", "title": "Color", "input_type": "select", "options": [ { "id": 118, "title": "Red", "attribute_id": 31 } ] } ]}Missing or wrong API credentials.